For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Vulnerability

Returns the Vulnerability by ID.

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
vulnerabilityIdstring · max: 64Required

The ID of the Vulnerability.

Example: CVE-2019-1234
Responses
200

Getting Vulnerability was successful.

application/json
idstringRequired

The ID of the vulnerability allocated by the advisory database

Example: CVE-2019-1234
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/vulnerabilities/CVE-2019-1234
get/vulnerabilities/{vulnerabilityId}
GET /containerregistries/vulnerabilities/{vulnerabilityId} HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "CVE-2019-1234",
  "type": "vulnerability",
  "href": "https://api.ionos.com/containerregistries/vulnerabilities/CVE-2019-1234",
  "metadata": {
    "publishedAt": "2019-01-01T00:00:00+00:00",
    "updatedAt": "2019-01-01T00:00:00+00:00"
  },
  "properties": {
    "description": "A vulnerability in the web UI of Cisco IOS XE Software could allow an authenticated, remote attacker to execute commands on the underlying Linux shell of an affected device with root privileges.",
    "recommendations": "Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.",
    "dataSource": {
      "id": "osv",
      "url": "https://github.com/pypa/advisory-db"
    },
    "fixable": true,
    "affects": [
      {
        "type": "maven",
        "name": "org.apache.commons:commons-lang3",
        "version": "3.8.1"
      }
    ],
    "references": [
      "https://access.redhat.com/security/cve/CVE-2019-1234"
    ],
    "severity": "high",
    "score": 9.8
  }
}

Last updated

Was this helpful?